A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
dense
ArrayFire Functions | ArrayFire Functions by Category » Linear Algebra » Sparse functions

Returns a dense array from a sparse input More...

## Functions
AFAPI array | dense (const array sparse)
AFAPI af_err | af_sparse_to_dense (af_array *out, const af_array sparse)

## Detailed Description

Returns a dense array from a sparse input

Converts the sparse matrix into a dense matrix and returns it

## Function Documentation

## ◆ af_sparse_to_dense()

AFAPI af_err af_sparse_to_dense | ( | af_array * | out,
|  | const af_array | sparse )

Parameters

  [out] | out | dense af_array from sparse
  [in] | sparse | is the source sparse matrix

Returns
  AF_SUCCESS if the execution completes properly

## ◆ dense()

AFAPI array dense | ( | const array | sparse | ) |

Parameters

  [in] | sparse | is the source sparse matrix

Returns
  dense af::array from sparse

// sparse
// values: [ 5.0, 8.0, 3.0, 6.0 ]
// row_ptr: [ 0, 0, 2, 3, 4 ]
// col_idx: [ 0, 1, 2, 1 ]
// Get dense representation of given sparse af::array.
array dense = af::dense(sparse);
// dense
// 0 0 0 0
// 5 8 0 0
// 0 0 3 0
// 0 6 0 0